Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class CurrentNodeListIterator

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.CurrentNodeListIterator

public final class CurrentNodeListIterator
extends NodeIteratorBase

Iterators of this kind use a CurrentNodeListFilter to filter a subset of nodes from a source iterator. For each node from the source, the boolean method CurrentNodeListFilter.test() is called. All nodes from the source are read into an array upon calling setStartNode() (this is needed to determine the value of last, a parameter to CurrentNodeListFilter.test()). The method getLast() returns the last element after applying the filter.

Constructor Summary
`CurrentNodeListIterator(NodeIterator source, boolean docOrder, CurrentNodeListFilter filter, int currentNode, AbstractTranslet translet)`
`CurrentNodeListIterator(NodeIterator source, CurrentNodeListFilter filter, int currentNode, AbstractTranslet translet)`

Method Summary
`NodeIterator` | `cloneIterator()`
`int` | `getLast()`
`void` | `gotoMark()`
`boolean` | `isReverse()`
`int` | `next()`
`NodeIterator` | `reset()`
`void` | `setMark()`
`void` | `setRestartable(boolean isRestartable)`
`NodeIterator` | `setStartNode(int node)`

Methods inherited from class org.apache.xalan.xsltc.dom.NodeIteratorBase
`getPosition, includeSelf`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentNodeListIterator

    public CurrentNodeListIterator(NodeIterator source,
                                   CurrentNodeListFilter filter,
                                   int currentNode,
                                   AbstractTranslet translet)

### CurrentNodeListIterator

    public CurrentNodeListIterator(NodeIterator source,
                                   boolean docOrder,
                                   CurrentNodeListFilter filter,
                                   int currentNode,
                                   AbstractTranslet translet)

Method Detail

### setRestartable

    public void setRestartable(boolean isRestartable)

  Overrides:
    setRestartable in class NodeIteratorBase

### isReverse

    public boolean isReverse()

  Overrides:
    isReverse in class NodeIteratorBase

### cloneIterator

    public NodeIterator cloneIterator()

  Overrides:
    cloneIterator in class NodeIteratorBase

### reset

    public NodeIterator reset()

  Overrides:
    reset in class NodeIteratorBase

### next

    public int next()

### setStartNode

    public NodeIterator setStartNode(int node)

  Overrides:
    setStartNode in class NodeIteratorBase

### getLast

    public int getLast()

  Overrides:
    getLast in class NodeIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.